Journey
Get journey user events
GET
/
v1
/
analytics
/
journey
/
user-events
Get journey user events
curl --request GET \
--url https://api.oneofnone.io/v1/analytics/journey/user-events \
--header 'x-api-key: <api-key>'import requests
url = "https://api.oneofnone.io/v1/analytics/journey/user-events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.oneofnone.io/v1/analytics/journey/user-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": [
{
"name": "<string>",
"type": "<string>"
}
],
"data": [
{
"timestamp": "<string>",
"user_id": "<string>",
"session_id": "<string>",
"action": "<string>",
"version": "<string>",
"team_id": "<string>",
"collection_id": "<string>",
"pathname": "<string>",
"referrer": "<string>",
"device": "<string>",
"browser": "<string>",
"os": "<string>",
"country_code": "<string>",
"region_code": "<string>",
"block_id": "<string>",
"block_type": "<string>",
"dialog_content_type": "<string>",
"block_index": 123,
"short_url_id": "<string>",
"long_url": "<string>",
"token_id": "<string>",
"duration": 123,
"page_views": 123,
"cursor": "<string>",
"total_in_page": 123
}
],
"rows": 123,
"statistics": {
"elapsed": 123,
"rows_read": 123,
"bytes_read": 123
}
}Authorizations
Query Parameters
Required range:
1 <= x <= 10000⌘I
Get journey user events
